Bug 1479423 - Generic Service State Machine missing retry interval
Summary: Generic Service State Machine missing retry interval
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.2
Assignee: William Fitzgerald
QA Contact: Dmitry Misharov
URL:
Whiteboard: ansible:service:automate
Depends On: 1478200
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-08 14:26 UTC by Satoe Imaishi
Modified: 2017-10-24 00:36 UTC (History)
6 users (show)

Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1478200
Environment:
Last Closed: 2017-10-24 00:36:38 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 CFME Bot 2017-08-08 14:28:41 UTC
New commit detected on ManageIQ/manageiq-content/fine:
https://github.com/ManageIQ/manageiq-content/commit/b7852b401b1ac3c93960bb1d0fdd710da476aa8b

commit b7852b401b1ac3c93960bb1d0fdd710da476aa8b
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Fri Aug 4 14:26:15 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Aug 8 10:26:16 2017 -0400

    Merge pull request #163 from billfitzgerald0120/ae_retry_interval
    
    Set retry interval to 1 minute for generic service state-machine.
    (cherry picked from commit 101e8d03884eafcaf56c584f042cb3712cdc11c4)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1479423

 .../StateMachines/GenericLifecycle.class/__methods__/check_completed.rb  | 1 +
 1 file changed, 1 insertion(+)

Comment 3 Dmitry Misharov 2017-08-28 08:23:39 UTC
Fixed and verified in 5.8.2.0.20170824192913_b09a5f8. Log excerpt: 
[----] I, [2017-08-28T03:47:18.759165 #2105:feb12c]  INFO -- : Q-task_id([service_template_provision_task_1]) MIQ(MiqAeEngine.deliver) Requeuing {:object_type=>"ServiceTemplateProvisionTask", :object_id=>1, :namespace=>"Service/Generic/StateMachines", :class_name=>"GenericLifecycle", :instance_name=>"provision", :automate_message=>"create", :attrs=>{"dialog_credential"=>"", "dialog_hosts"=>"localhost", "request"=>"clone_to_service", :service_action=>"Provision", "Service::Service"=>1}, :user_id=>2, :miq_group_id=>21, :tenant_id=>2, :state=>"check_completed", :ae_fsm_started=>nil, :ae_state_started=>"2017-08-28 07:47:16 UTC", :ae_state_retries=>1, :ae_state_previous=>"---\n\"/ManageIQ/Service/Generic/StateMachines/GenericLifecycle/provision\":\n  ae_state: check_completed\n  ae_state_retries: 1\n  ae_state_started: 2017-08-28 07:47:16 UTC\n"} for object [ServiceTemplateProvisionTask.1] with state [check_completed] to Automate for delivery in [60] seconds

Comment 5 errata-xmlrpc 2017-10-24 00:36:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.